import * as React from 'react';
import {TabPanel, TabPanelProps} from "../component_permissions/TabPanel";
import { observer } from 'mobx-react-lite';
import {ButtonField} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {Transport} from "@rx-suite/data";

type Props = TabPanelProps;

export const MaintenanceActionsTab: React.FunctionComponent<Props> = observer(({ value, index }) => {
    const [invalidating, setInvalidating] = React.useState(false);
    const invalidateCache = React.useCallback(async () => {
        setInvalidating(true);
        await Transport.fetch("/api/maintenance/invalidate_user_cache", {
            method: "POST",
            headers: {
                'Content-Type': 'application/json'
            }
        })
        setInvalidating(false);
    }, []);
    return(
        <TabPanel value={value} index={index}>
            <ButtonField text={t`Invalidate User Cache`} onClick={invalidateCache} loading={invalidating} />
        </TabPanel>
     )
});