import * as React from 'react';
import {useState} from 'react';
import {t} from "@lingui/macro";
import {Container, Tab, Tabs} from "@material-ui/core";
import {AppsBreadModel} from "./AppsBreadModel";
import {installableApps} from "../../stores/RxModulePackageStore";
import {RxModuleComponentStore} from "../../stores/RxModuleComponentStore";
import {AppInstallTable} from "./AppInstallTable";
import {observer} from "mobx-react-lite";
import {routerStore} from "@rx-suite/data";

export const AppsPage = observer(() => {
    const isFocused = routerStore.location.pathname.includes('read') || routerStore.location.pathname.includes('edit');
    const params = (new URL(document.location.href)).searchParams;
    const initialTab = (params.get('tab') || 'installed')
    const [tab, setTab] = useState(initialTab);
    const handleTabChange = (_: any, v: any) => {
        setTab(v);
    };
    const availableInstallsCount = installableApps().length;
    const installedCount = RxModuleComponentStore.getAll().length;
    return (
        <>
            <Container maxWidth={false}>
                {!isFocused && <Tabs value={tab} onChange={handleTabChange}>
                    <Tab label={`${t`Installed`} (${installedCount})`}
                         value={'installed'}
                    />
                    <Tab label={`${t`Installable`} (${availableInstallsCount})`}
                         value={'install'}
                    />
                </Tabs>}
            </Container>

            {(tab === 'installed') && <AppsBreadModel/>}
            {(tab === 'install') && <AppInstallTable/>}
        </>
    )
});