import * as React from 'react';
import {BreadModel, formatters, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {EmailForm} from "./EmailForm";
import {EmailStore} from "../../stores/EmailStore";
import {CheckCircle, RadioButtonUnchecked} from "@material-ui/icons";
import {green, red} from "@material-ui/core/colors";

export const EmailsBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('address', t`Email Address`, "string"),
            makeColumn('server', t`Server`, "string"),
            makeColumn('port', t`Port`, "string"),
            makeColumn('is_system_default', t`Is System Default?`, "boolean",
                formatters.boolean(
                    <CheckCircle style={{color: green[500]}}/>,
                    <RadioButtonUnchecked style={{color: red[500]}}/>)),
            makeColumn('auth', t`Is Authentication Needed?`, "boolean", formatters.boolean(
                <CheckCircle style={{color: green[500]}}/>,
                <RadioButtonUnchecked style={{color: red[500]}}/>))
        ]

    }, []);
    return (
        <BreadModel store={EmailStore} Form={EmailForm} columns={columns}/>
    )
};